extensions / Commerce extension
GET
/api/projects/{project_id}/sales/orders/{order_id}Get Order
Get order detail
GETPATCH
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
order_id | Yes | Not specified | Description: Identifier for order. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"order_number": "string",
"customer_id": 1,
"guest_email": "user@example.com",
"guest_name": "string",
"guest_phone": "string",
"status": "active",
"billing_firstname": "string",
"billing_lastname": "string",
"billing_company": "string",
"billing_street": "string",
"billing_city": "string",
"billing_region": "string",
"billing_postcode": "string",
"billing_country": "string",
"billing_phone": "string",
"shipping_firstname": "string",
"shipping_lastname": "string",
"shipping_company": "string",
"shipping_street": "string",
"shipping_city": "string",
"shipping_region": "string",
"shipping_postcode": "string",
"shipping_country": "string",
"shipping_phone": "string",
"payment_method": "string",
"payment_method_title": "string",
"shipping_method": "string",
"shipping_method_title": "string",
"shipping_description": "string",
"subtotal": "string",
"shipping_amount": "string",
"tax_amount": "string",
"discount_amount": "string",
"grand_total": "string",
"total_paid": "string",
"total_refunded": "string",
"total_due": "string",
"currency_code": "string",
"placed_from_ip": "string",
"customer_note": "string",
"is_on_hold": "string",
"is_recurring": "string",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"customer_name": "string",
"customer_email": "user@example.com",
"items": [],
"attribute_values": []
}Errors
404 not_foundAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

